Bug 117392 - The ccm upgrade command does not have a mechanism to define & read parameters from the user
Summary: The ccm upgrade command does not have a mechanism to define & read parameters...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-03 15:35 UTC by Daniel Berrange
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:35:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-03-03 15:35:50 UTC
Description of problem:
The ccm load command allows registration of load time parameters to
enable user configurable values to be retrieved from the user. Since
upgrade scripts will typically just invokes parts of the Loader.java
command they need to have a mechanism to define & prompt for
parameters prior to running the upgrade.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Try to write an upgrade script needing user input.

Actual results:
Have to manually write code to prompt for user input.

Expected results:
Standard ccm runtime parameter handling code is available, as per the
'ccm load' command APIs.

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:35:49 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.